diff --git a/books/bookvol7.1.pamphlet b/books/bookvol7.1.pamphlet
index 9a42fbb..9b7426b 100644
--- a/books/bookvol7.1.pamphlet
+++ b/books/bookvol7.1.pamphlet
@@ -1196,10 +1196,8 @@ of operations defined by \spadtype{#1}.}
 \newcommand{\xtc}[2]{#1 #2} 
 
 % glossary terms
-\newcommand{\axiomGloss}[1]{\lispdownlink{#1}{(|htGloss| '|#1|)}}
-\newcommand{\axiomGlossSee}[2]{\lispdownlink{#1}{(|htGloss| '|#2|)}}
-\newcommand{\spadgloss}[1]{\axiomGloss{#1}}
-\newcommand{\spadglossSee}[2]{\axiomGlossSee{#1}{#2}}
+\newcommand{\spadgloss}[1]{\lispdownlink{#1}{(|htGloss| '|#1|)}}
+\newcommand{\spadglossSee}[2]{\lispdownlink{#1}{(|htGloss| '|#2|)}}
 
 % use this for syntax punctuation: \axiomSyntax{::}
 \newcommand{\axiomSyntax}[1]{``{\tt #1}''}
@@ -1257,9 +1255,6 @@ of operations defined by \spadtype{#1}.}
 \newcommand{\axiomOpFromX}[2] {\axiomOpFrom{#1!}{#2}}
 \newcommand{\spadopFromX}[2] {\axiomOpFrom{#1!}{#2}}
 
-% redundant defns for system commands
-\newcommand{\syscom}[1]{\lispdownlink{)#1}{(|syscomPage| '|#1|)}}
-%
 \newcommand{\spadsyscom}[1]{{\tt #1}}
 \newcommand{\spadcmd}[1]{\spadsyscom{#1}}
 \newcommand{\spadsys}[1]{\spadsyscom{#1}}
@@ -1267,9 +1262,9 @@ of operations defined by \spadtype{#1}.}
 
 % Following macros should be phased out in favor of ones above:
 
-\newcommand{\gloss}[1]{\axiomGloss{#1}}
-\newcommand{\spadglos}[1]{\axiomGloss{#1}}
-\newcommand{\glossSee}[2]{\axiomGlossSee{#1}{#2}}
+\newcommand{\gloss}[1]{\lispdownlink{#1}{(|htGloss| '|#1|)}}
+\newcommand{\spadglos}[1]{\lispdownlink{#1}{(|htGloss| '|#1|)}}
+\newcommand{\glossSee}[2]{\lispdownlink{#1}{(|htGloss| '|#2|)}}
 
 @
 \subsection{Browse macros}
@@ -2247,7 +2242,10 @@ For information on related topics, see
 \pagepic{ps/v71basiccommand.eps}{basiccommand}
 \pagefrom{Root Page}{RootPage}
 \pageto{Calculus}{Calculus}
-\newline{}The other links on the page call lisp code. 
+\pageto{Matrix}{LispFunctions}
+\pageto{Draw}{LispFunctions}
+\pageto{Series}{LispFunctions}
+\pageto{Solve}{LispFunctions}
 \index{Function!bcMatrix}
 \index{bcMatrix Function}
 \index{Function!bcExpand}
@@ -2283,6 +2281,11 @@ For information on related topics, see
 \pagehead{Calculus}{basic.ht}{Calculus}
 \pagepic{ps/v71calculus.eps}{calculus}
 \pagefrom{Basic Commands}{BasicCommand}
+\pageto{Differentiate}{LispFunctions}
+\pageto{Do an Indefinite Integral}{LispFunctions}
+\pageto{Do a Definite Integral}{LispFunctions}
+\pageto{Find a Limit}{LispFunctions}
+\pageto{Do a summation}{LispFunctions}
 \index{Function!bcDifferentiate}
 \index{bcDifferentiate Function}
 \index{Function!bcIndefiniteIntegral}
@@ -8539,6 +8542,7 @@ used.
 \pagehead{GlossaryPage}{gloss.ht}{Glossary}
 \pagepic{ps/v71glossary.eps}{glossary}
 \pagefrom{Reference}{TopReferencePage}
+\pageto{Search}{LispFunctions}
 <<gloss.ht>>=
 \begin{page}{GlossaryPage}{G l o s s a r y}
 \beginscroll\beginmenu\item\newline{\em \menuitemstyle{}}{\em !}\space{}
@@ -12519,9 +12523,10 @@ For more information on related topics, see
 @
 \section{link.ht}
 \pagehead{htxl}{link.ht}{The Axiom Link to NAG Software}
-\pageto{notitle}{nagLinkIntroPage}
-\pageto{notitle}{htxl1}
-\pageto{notitle}{FoundationLibraryDocPage}
+\pageto{Introduction to the NAG Library Link}{nagLinkIntroPage}
+\pageto{Access the Link from HyperDoc}{htxl1}
+\pageto{Browser pages for individual routines}{LispFunctions}
+\pageto{NAG Library Documentation}{FoundationLibraryDocPage}
 <<link.ht>>=
 \begin{page}{htxl}{The Axiom Link to NAG Software}
 \beginscroll
@@ -12578,7 +12583,10 @@ Roots of One or More Transcendental Equations
 
 @
 \pagehead{c02}{link.ht}{C02 Zeros of Polynomials}
-\pageto{notitle}{manpageXXc02}
+\pageto{Foundation Library Chapter c02 Manual Page}{manpageXXc02}
+\pageto{Browse}{LispFunctions}
+\pageto{C02AFF}{LispFunctions}
+\pageto{C02AGF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{c02}{C02 Zeros of Polynomials}
 \beginscroll
@@ -12604,7 +12612,11 @@ Roots of One or More Transcendental Equations
 @
 \pagehead{c05}{link.ht}
 {C05 Roots of One or More Transcendental Equations}
-\pageto{notitle}{manpageXXc05}
+\pageto{Foundation Library Chapter c05 Manual Page}{manpageXXc05}
+\pageto{Browse}{LispFunctions}
+\pageto{C05ADF}{LispFunctions}
+\pageto{C05NBF}{LispFunctions}
+\pageto{C05PBF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{c05}{C05 Roots of One or More Transcendental Equations}
 \beginscroll
@@ -12634,7 +12646,20 @@ function values only
 
 @
 \pagehead{c06}{link.ht}{C06 Summation of Series}
-\pageto{notitle}{manpageXXc06}
+\pageto{Foundation Library Chapter c06 Manual Page}{manpageXXc06}
+\pageto{Browse}{LispFunctions}
+\pageto{C06EAF}{LispFunctions}
+\pageto{C06EBF}{LispFunctions}
+\pageto{C06ECF}{LispFunctions}
+\pageto{C06EKF}{LispFunctions}
+\pageto{C06FPF}{LispFunctions}
+\pageto{C06FQF}{LispFunctions}
+\pageto{C06FRF}{LispFunctions}
+\pageto{C06FUF}{LispFunctions}
+\pageto{C06GBF}{LispFunctions}
+\pageto{C06GCF}{LispFunctions}
+\pageto{C06GQF}{LispFunctions}
+\pageto{C06GSF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{c06}{C06 Summation of Series}
 \beginscroll
@@ -12684,7 +12709,20 @@ workspace
 
 @
 \pagehead{d01}{link.ht}{D01 Quadrature}
-\pageto{notitle}{manpageXXd01}
+\pageto{Foundation Library Chapter d01 Manual Page}{manpageXXd01}
+\pageto{Browse}{LispFunctions}
+\pageto{D01AJF}{LispFunctions}
+\pageto{D01AKF}{LispFunctions}
+\pageto{D01ALF}{LispFunctions}
+\pageto{D01AMF}{LispFunctions}
+\pageto{D01ANF}{LispFunctions}
+\pageto{D01APF}{LispFunctions}
+\pageto{D01AQF}{LispFunctions}
+\pageto{D01ASF}{LispFunctions}
+\pageto{D01BBF}{LispFunctions}
+\pageto{D01FCF}{LispFunctions}
+\pageto{D01GAF}{LispFunctions}
+\pageto{D01GBF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{d01}{D01 Quadrature}
 \beginscroll
@@ -12748,6 +12786,16 @@ Monte Carlo method
 \pageto{notitle}{manpageXXd02}
 <<link.ht>>=
 \begin{page}{d02}{D02 Ordinary Differential Equations}
+\pageto{Foundation Library Chapter d02 Manual Page}{manpageXXd02}
+\pageto{Browse}{LispFunctions}
+\pageto{D02BBF}{LispFunctions}
+\pageto{D02BHF}{LispFunctions}
+\pageto{D02CJF}{LispFunctions}
+\pageto{D02EJF}{LispFunctions}
+\pageto{D02GAF}{LispFunctions}
+\pageto{D02GBF}{LispFunctions}
+\pageto{D02KEF}{LispFunctions}
+\pageto{D02RAF}{LispFunctions}
 \beginscroll
 \centerline{What would you like to do?}
 \newline
@@ -12794,7 +12842,11 @@ difference technique with deferred correction, continuation facility
 
 @
 \pagehead{d03}{link.ht}{D03 Partial Differential Equations}
-\pageto{notitle}{manpageXXd03}
+\pageto{Foundation Library Chapter d03 Manual Page}{manpageXXd03}
+\pageto{Browse}{LispFunctions}
+\pageto{D03EDF}{LispFunctions}
+\pageto{D03EEF}{LispFunctions}
+\pageto{D03FAF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{d03}{D03 Partial Differential Equations}
 \beginscroll
@@ -12823,7 +12875,16 @@ by a multigrid technique
 
 @
 \pagehead{e01}{link.ht}{E01 Interpolation}
-\pageto{notitle}{manpageXXe01}
+\pageto{Foundation Library Chapter e01 Manual Page}{manpageXXe01}
+\pageto{Browse}{LispFunctions}
+\pageto{E01BAF}{LispFunctions}
+\pageto{E01BEF}{LispFunctions}
+\pageto{E01BFF}{LispFunctions}
+\pageto{E01BGF}{LispFunctions}
+\pageto{E01BHF}{LispFunctions}
+\pageto{E01DAF}{LispFunctions}
+\pageto{E01SAF}{LispFunctions}
+\pageto{E01SEF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{e01}{E01 Interpolation}
 \beginscroll
@@ -12867,7 +12928,26 @@ two variables
 
 @
 \pagehead{e02}{link.ht}{E02 Curve and Surface Fitting}
-\pageto{notitle}{manpageXXe02}
+\pageto{Foundation Library Chapter e02 Manual Page}{manpageXXe02}
+\pageto{Browse}{LispFunctions}
+\pageto{E02ADF}{LispFunctions}
+\pageto{E02AEF}{LispFunctions}
+\pageto{E02AGF}{LispFunctions}
+\pageto{E02AHF}{LispFunctions}
+\pageto{E02AJF}{LispFunctions}
+\pageto{E02AKF}{LispFunctions}
+\pageto{E02BAF}{LispFunctions}
+\pageto{E02BBF}{LispFunctions}
+\pageto{E02BCF}{LispFunctions}
+\pageto{E02BDF}{LispFunctions}
+\pageto{E02BEF}{LispFunctions}
+\pageto{E02DAF}{LispFunctions}
+\pageto{E02DCF}{LispFunctions}
+\pageto{E02DDF}{LispFunctions}
+\pageto{E02DEF}{LispFunctions}
+\pageto{E02DFF}{LispFunctions}
+\pageto{E02GAF}{LispFunctions}
+\pageto{E02ZAF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{e02}{E02 Curve and Surface Fitting}
 \beginscroll
@@ -12933,7 +13013,16 @@ knot placement, scattered data
 
 @
 \pagehead{e04}{link.ht}{E04 Minimizing or Maximizing a Function}
-\pageto{notitle}{manpageXXe04}
+\pageto{Foundation Library Chapter e04 Manual Page}{manpageXXe04}
+\pageto{Browse}{LispFunctions}
+\pageto{E04DGF}{LispFunctions}
+\pageto{E04FDF}{LispFunctions}
+\pageto{E04GCF}{LispFunctions}
+\pageto{E04JAF}{LispFunctions}
+\pageto{E04MBF}{LispFunctions}
+\pageto{E04NAF}{LispFunctions}
+\pageto{E04UCF}{LispFunctions}
+\pageto{E04YCF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{e04}{E04 Minimizing or Maximizing a Function}
 \beginscroll
@@ -12976,8 +13065,19 @@ derivatives
 
 @
 \pagehead{f01}{link.ht}{F01 Matrix Operations - Including Inversion}
-\pageto{notitle}{manpageXXf}
-\pageto{notitle}{manpageXXf01}
+\pageto{Foundation Library Chapter f Manual Page}{manpageXXf}
+\pageto{Foundation Library Chapter f01 Manual Page}{manpageXXf01}
+\pageto{Browse}{LispFunctions}
+\pageto{F01BRF}{LispFunctions}
+\pageto{F01BSF}{LispFunctions}
+\pageto{F01MAF}{LispFunctions}
+\pageto{F01MCF}{LispFunctions}
+\pageto{F01QCF}{LispFunctions}
+\pageto{F01QDF}{LispFunctions}
+\pageto{F01QEF}{LispFunctions}
+\pageto{F01RCF}{LispFunctions}
+\pageto{F01RDF}{LispFunctions}
+\pageto{F01REF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{f01}{F01 Matrix Operations - Including Inversion}
 \beginscroll
@@ -13028,8 +13128,24 @@ after factorization by F01RCF
 
 @
 \pagehead{f02}{link.ht}{F02 Eigenvalues and Eigenvectors}
-\pageto{notitle}{manpageXXf}
-\pageto{notitle}{manpageXXf02}
+\pageto{Foundation Library Chapter f Manual Page}{manpageXXf}
+\pageto{Foundation Library Chapter f02 Manual Page}{manpageXXf02}
+\pageto{Browse}{LispFunctions}
+\pageto{F02AAF}{LispFunctions}
+\pageto{F02ABF}{LispFunctions}
+\pageto{F02ADF}{LispFunctions}
+\pageto{F02AEF}{LispFunctions}
+\pageto{F02AFF}{LispFunctions}
+\pageto{F02AGF}{LispFunctions}
+\pageto{F02AJF}{LispFunctions}
+\pageto{F02AKF}{LispFunctions}
+\pageto{F02AWF}{LispFunctions}
+\pageto{F02AXF}{LispFunctions}
+\pageto{F02BBF}{LispFunctions}
+\pageto{F02BJF}{LispFunctions}
+\pageto{F02FJF}{LispFunctions}
+\pageto{F02WEF}{LispFunctions}
+\pageto{F02XEF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{f02}{F02 Eigenvalues and Eigenvectors}
 \beginscroll
@@ -13089,8 +13205,20 @@ eigenproblem
 
 @
 \pagehead{f04}{link.ht}{F04 Simultaneous Linear Equations}
-\pageto{notitle}{manpageXXf}
-\pageto{notitle}{manpageXXf04}
+\pageto{Foundation Library Chapter f Manual Page}{manpageXXf}
+\pageto{Foundation Library Chapter f04 Manual Page}{manpageXXf04}
+\pageto{Browse}{LispFunctions}
+\pageto{F04ADF}{LispFunctions}
+\pageto{F04ARF}{LispFunctions}
+\pageto{F04ASF}{LispFunctions}
+\pageto{F04ATF}{LispFunctions}
+\pageto{F04AXF}{LispFunctions}
+\pageto{F04FAF}{LispFunctions}
+\pageto{F04JGF}{LispFunctions}
+\pageto{F04MAF}{LispFunctions}
+\pageto{F04MBF}{LispFunctions}
+\pageto{F04MCF}{LispFunctions}
+\pageto{F04QAF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{f04}{F04 Simultaneous Linear Equations}
 \beginscroll
@@ -13150,8 +13278,13 @@ in {\it n} unknowns
 
 @
 \pagehead{f07}{link.ht}{F07 Linear Equations (LAPACK)}
-\pageto{notitle}{manpageXXf}
-\pageto{notitle}{manpageXXf07}
+\pageto{Foundation Library Chapter f Manual Page}{manpageXXf}
+\pageto{Foundation Library Chapter f07 Manual Page}{manpageXXf07}
+\pageto{Browse}{LispFunctions}
+\pageto{F07ADF}{LispFunctions}
+\pageto{F07AEF}{LispFunctions}
+\pageto{F07FDF}{LispFunctions}
+\pageto{F07FEF}{LispFunctions}
 <<link.ht>>=
 \begin{page}{f07}{F07 Linear Equations (LAPACK)}
 \beginscroll
@@ -13183,8 +13316,48 @@ already factorized by F07FDF
 \end{page}
 
 @
-\pagehead{s}{link.ht}{S \space{2} Approximations of Special Functions}
-\pageto{notitle}{manpageXXs}
+\pagehead{s}{link.ht}{S -- Approximations of Special Functions}
+\pageto{Foundation Library Chapter s Manual Page}{manpageXXs}
+\pageto{Browse}{LispFunctions}
+\pageto{S01EAF}{LispFunctions}
+\pageto{S13AAF}{LispFunctions}
+\pageto{S13ACF}{LispFunctions}
+\pageto{S13ADF}{LispFunctions}
+\pageto{S14AAF}{LispFunctions}
+\pageto{S14ABF}{LispFunctions}
+\pageto{S14BAF}{LispFunctions}
+\pageto{S15ADF}{LispFunctions}
+\pageto{S15AEF}{LispFunctions}
+\pageto{S17ACF}{LispFunctions}
+\pageto{S17ADF}{LispFunctions}
+\pageto{S17AEF}{LispFunctions}
+\pageto{S17AFF}{LispFunctions}
+\pageto{S17AGF}{LispFunctions}
+\pageto{S17AHF}{LispFunctions}
+\pageto{S17AJF}{LispFunctions}
+\pageto{S17AKF}{LispFunctions}
+\pageto{S17DCF}{LispFunctions}
+\pageto{S17DEF}{LispFunctions}
+\pageto{S17DGF}{LispFunctions}
+\pageto{S17DHF}{LispFunctions}
+\pageto{S17DLF}{LispFunctions}
+\pageto{S18ACF}{LispFunctions}
+\pageto{S18ADF}{LispFunctions}
+\pageto{S18AEF}{LispFunctions}
+\pageto{S18AFF}{LispFunctions}
+\pageto{S18DCF}{LispFunctions}
+\pageto{S18DEF}{LispFunctions}
+\pageto{S19AAF}{LispFunctions}
+\pageto{S19ABF}{LispFunctions}
+\pageto{S19ACF}{LispFunctions}
+\pageto{S19ADF}{LispFunctions}
+\pageto{S20ACF}{LispFunctions}
+\pageto{S20ADF}{LispFunctions}
+\pageto{S21BAF}{LispFunctions}
+\pageto{S21BBF}{LispFunctions}
+\pageto{S21BCF}{LispFunctions}
+\pageto{S21BDF}{LispFunctions}
+
 <<link.ht>>=
 \begin{page}{s}{S \space{2} Approximations of Special Functions}
 \beginscroll
@@ -14496,10 +14669,565 @@ Enter search string :
 \end{page}
 
 @
+\pagehead{LispFunctions}{lisp.ht}{Lisp Functions}
+\pagefrom{Root Page}{RootPage}
+\pagefrom{System Commands}{TopSettingsPage}
+\pagefrom{Axiom Browser}{Man0Page}
+\pagefrom{Axiom Reference}{TopReferencePage}
+\pagefrom{Basic Commands}{BasicCommand}
+\pagefrom{Calculus}{Calculus}
+\pagefrom{Glossary}{GlossaryPage}
+\pagefrom{The Axiom Link to NAG Software}{htxl}
+\pagefrom{C02 Zeros of Polynomials}{c02}
+\pagefrom{C02 Roots of One or More TranscendentalEquations}{c05}
+\pagefrom{C06 Summation of Series}{c06}
+\pagefrom{D03 Partial Differential Equations}{d03}
+\pagefrom{E01 Interpolation}{e01}
+\pagefrom{E02 Curve and Surface Fitting}{e02}
+\pagefrom{E04 Minimizing or Maximizing a Function}{e04}
+\pagefrom{F01 Matrix Operations - Including Inversion}{f01}
+\pagefrom{F02 Eigenvalues and Eigenvectors}{f02}
+\pagefrom{F04 Simultaneous Linear Equations}{f04}
+\pagefrom{F07 Linear Equations (LAPACK)}{f07}
+\pagefrom{S -- Approximations of Special Functions}{s}
+\pagefrom{Domain Mapping}{DomainMapping}
+\pagefrom{Domain Record}{DomainRecord}
+\pagefrom{Domain Union}{DomainUnion}
+\pagefrom{HTXLinkPage4xPatch2}{HTXLinkPage4xPatch2}
+\pagefrom{HTXLinkPage4xPatch4}{HTXLinkPage4xPatch4}
+\pagefrom{Examples Using the Axiom/NAG Expert System}{UXANNAOdeEx}
+\pagefrom{Examples Using the Axiom/NAG Expert System}{UXANNAIntEx}
+\pagefrom{Examples Using the Axiom/NAG Expert System}{UXANNAOpt2Ex}
+\pagefrom{Examples Using the Axiom/NAG Expert System}{UXANNAOptEx}
+\pagefrom{Optimization}{UXANNAOpt}
+\pagefrom{Ordinary Differential Equations}{UXANNAOde}
+\pagefrom{Integration}{UXANNAInt}
+\pagefrom{Axiom/NAG Expert System}{UXANNA}
+
+There are lisp functions which exist behind certain pages and 
+the page information is created dynamically by calling the function.
+
+%syscomPage & syscom\\
+
+This is a list of the macros which use lisp functions\\
+
+\begin{tabular}{ll}
+oPage & axiomFun\\
+oPageFrom & axiomFunFrom\\
+htGloss & gloss\\
+htGloss & spadglos\\
+htGloss & glossSee \\
+conPage & aliascon\\
+conPage & aliasdom\\
+conPage & dom\\
+conPage & con\\
+conPage & conf\\
+conOpPage & ops\\
+htsn & keyword\\
+htsn & op\\
+\end{tabular}
+
+%\item interp1 & Interpolation & Axiom/NAG Expert System\\
+%\item bcExpand             & Operations        & Basic Commands\\
+%\item bcProduct            & Compute a product & Calculus\\
+%\item d03fafVars           & Helmholtz         & 
+%Partial Differential Equations\\
+%\item htHistory            & history           & Root Page \\
+%\item htTutorialSearch     & Search            & Axiom Topics\\
+%\item htUserVariables      & User Variables    & Root Page \\
+
+This is a list of the lisp function, the link name, and the page name\\
+
+\begin{itemize}
+\item {\bf annaOde} -- Ordinary Differential Equations link from page 
+Ordinary Differential Equations
+\item {\bf annaOpt} -- Optimization of a Single Multivariate Function link from page
+Optimization
+\item {\bf annaOpt2} -- Optimization of a set of observations of a data set link from page
+Optimization
+\item {\bf annaPDESolve} -- Second Order Elliptic Partial Differential Equation link from page
+Partial Differential Equations
+\item {\bf annaOptDefaultSolve1} -- Example 1 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaOptDefaultSolve2} -- Example 2 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaOptDefaultSolve3} -- Example 3 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaOptDefaultSolve4} -- Example 4 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaOptDefaultSolve5} -- Example 5 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaFoo} -- Example 1 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaBar} -- Example 2 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaJoe} -- Example 3 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaSue} -- Example 4 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaAnn} -- Example 5 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaBab} -- Example 6 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaFnar} -- Example 7 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaDan} -- Example 8 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaBlah} -- Example 9 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaTub} -- Example 10 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaRats} -- Example 11 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaMInt} -- Example 12 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaMInt} -- Multiple Integration link from page
+Integration
+\item {\bf annaInt} -- Integration link from page Integration
+\item {\bf annaOdeDefaultSolve1} -- Example 1 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaOdeDefaultSolve2} -- Example 2 link from page
+Examples Using the Axiom/NAG Expert System
+\item {\bf annaOpt2DefaultSolve} -- Example 1 link from page
+Examples Using the Axiom/NAG Expert System
+\end{itemize}
+\begin{itemize}
+\item {\bf aSearch} -- Attributes link from page
+Axiom Browser
+\item {\bf aokSearch} -- General link from page
+Axiom Browser
+\item {\bf bcDefiniteIntegrate} -- Do an Definite Integral 
+link from page Calculus
+\item {\bf bcDifferentiate} -- Differentiate link from page
+Calculus
+\item {\bf bcDraw} -- Draw link from page
+Basic Commands
+\item {\bf bcIndefiniteIntegrate} -- Do an Indefinite Integral 
+link from page Calculus
+\item {\bf bcLimit} -- Find a Limit link from page
+Calculus
+\item {\bf bcMatrix} -- Matrix link from page
+Basic Commands
+\item {\bf bcSeries} -- Series link from page
+Basic Commands
+\item {\bf bcSolve} -- Solve link from page
+Basic Commands
+\item {\bf bcSum} -- Sum link from page
+Calculus
+\item {\bf cSearch} -- categories link from page
+Axiom Browser
+\item {\bf dbSpecialDescription} -- Description link from page
+Domain Mapping
+\item {\bf dbSpecialDescription} -- Description link from page
+Domain Record
+\item {\bf dbSpecialDescription} -- Description link from page
+Domain Union
+\item {\bf dbSpecialDescription} -- Description link from page
+Domain Untagged Union
+\item {\bf dbSpecialExports} -- Exports link from page
+Domain Union
+\item {\bf dbSpecialOperations} -- Operations link from page
+Domain Mapping
+\item {\bf dbSpecialOperations} -- Operations link from page
+Domain Record
+\item {\bf dbSpecialOperations} -- Operations link from page
+Domain Union
+\item {\bf dbSpecialOperations} -- Operations link from page
+Domain Untagged Union
+\item {\bf dSearch} -- domains link from page
+Axiom Browser
+\item {\bf detailSearch} -- domains link from page
+Axiom Browser
+\item {\bf docSearch} -- Documentation link from page
+Axiom Browser
+\item {\bf genSearch} -- Complete link from page
+Axiom Browser
+\item {\bf htGloss} -- Search link from page
+Glossary
+\item {\bf HTSEARCH} -- Reference link from page
+Axiom Browser
+\item {\bf htsv} -- System Variables link from page
+Axiom Reference
+\item {\bf htSystemVariables} -- Settings link from page
+System Commands
+\item {\bf issueHT} -- Definition link from page
+HTXLinkPage4xPatch2
+\item {\bf kSearch} -- Constructors link from page
+Axiom Browser
+\item {\bf kSearch} -- Browser pages for individual routines 
+link from page htxl
+\item {\bf kSearch} -- C02 Zeros of Polynomials link from page
+c02
+\item {\bf kSearch} -- Browse link from page
+c05 Roots of One or More Transcendental Equations
+\item {\bf kSearch} -- Browse link from page
+c06 Summation of Series
+\item {\bf kSearch} -- Browse link from page
+d01 Quadrature
+\item {\bf kSearch} -- Browse link from page
+d02 Ordinary Differential Equations
+\item {\bf kSearch} -- Browse link from page
+d03 Partial Differential Equations
+\item {\bf kSearch} -- Browse link from page
+e01 Interpolation
+\item {\bf kSearch} -- Browse link from page
+e02 Curve and Surface Fitting
+\item {\bf kSearch} -- Browse link from page
+e04 Minimizing or Maximizing a Function
+\item {\bf kSearch} -- Browse link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf kSearch} -- Browse link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf kSearch} -- Browse link from page
+F04 Simultaneous Linear Equations
+\item {\bf linkToHTPage} -- Interpret link from page
+HTXLinkPage4xPatch3
+\item {\bf oSearch} -- Operations link from page
+Axiom Browser
+\item {\bf pSearch} -- packages link from page
+Axiom Browser
+\item {\bf startHTPage}-- Interpret link from page
+HTXLinkPage4xPatch4
+\end{itemize}
+\begin{itemize}
+\item {\bf c02aff} -- C02AFF link from page
+C02 Zeros of Polynomials
+\item {\bf c02agf} -- C02AGF link from page
+C02 Zeros of Polynomials
+\end{itemize}
+\begin{itemize}
+\item {\bf c05adf} -- C05ADF link from page
+C05 Roots of One or More Transcendental Equations
+\item {\bf c05ndf} -- C05NDF link from page
+C05 Roots of One or More Transcendental Equations
+\item {\bf c05pbf} -- C05PBF link from page
+C05 Roots of One or More Transcendental Equations
+\end{itemize}
+\begin{itemize}
+\item {\bf c06eaf} -- C06EAF link from page
+C06 Summation of Series
+\item {\bf c06ebf} -- C06EBF link from page
+C06 Summation of Series
+\item {\bf c06ecf} -- C06ECF link from page
+C06 Summation of Series
+\item {\bf c06ekf} -- C06EKF link from page
+C06 Summation of Series
+\item {\bf c06fpf} -- C06FPF link from page
+C06 Summation of Series
+\item {\bf c06fqf} -- C06FQF link from page
+C06 Summation of Series
+\item {\bf c06frf} -- C06FRF link from page
+C06 Summation of Series
+\item {\bf c06fuf} -- C06FUF link from page
+C06 Summation of Series
+\item {\bf c06gbf} -- C06GBF link from page
+C06 Summation of Series
+\item {\bf c06gcf} -- C06GCF link from page
+C06 Summation of Series
+\item {\bf c06gqf} -- C06GQF link from page
+C06 Summation of Series
+\item {\bf c06gsf} -- C06GSF link from page
+C06 Summation of Series
+\end{itemize}
+\begin{itemize}
+\item {\bf d01ajf} -- D01AJF link from page
+D01 Quadrature
+\item {\bf d01akf} -- D01AKF link from page
+D01 Quadrature
+\item {\bf d01alf} -- D01ALF link from page
+D01 Quadrature
+\item {\bf d01amf} -- D01AMF link from page
+D01 Quadrature
+\item {\bf d01anf} -- D01ANF link from page
+D01 Quadrature
+\item {\bf d01apf} -- D01APF link from page
+D01 Quadrature
+\item {\bf d01aqf} -- D01AQF link from page
+D01 Quadrature
+\item {\bf d01asf} -- D01ASF link from page
+D01 Quadrature
+\item {\bf d01bbf} -- D01BBF link from page
+D01 Quadrature
+\item {\bf d01fcf} -- D01FCF link from page
+D01 Quadrature
+\item {\bf d01gaf} -- D01GAF link from page
+D01 Quadrature
+\item {\bf d01gbf} -- D01GBF link from page
+D01 Quadrature
+\end{itemize}
+\begin{itemize}
+\item {\bf d02bbf} -- D02BBF link from page
+D02 Ordinary Differential Equations
+\item {\bf d02bhf} -- D02BHF link from page
+D02 Ordinary Differential Equations
+\item {\bf d02cjf} -- D02CJF link from page
+D02 Ordinary Differential Equations
+\item {\bf d02ejf} -- D02EJF link from page
+D02 Ordinary Differential Equations
+\item {\bf d02gaf} -- D02GAF link from page
+D02 Ordinary Differential Equations
+\item {\bf d02gbf} -- D02GBF link from page
+D02 Ordinary Differential Equations
+\item {\bf d02kef} -- D02KEF link from page
+D02 Ordinary Differential Equations
+\item {\bf d02raf} -- D02RAF link from page
+D02 Ordinary Differential Equations
+\end{itemize}
+\begin{itemize}
+\item {\bf d03edf} -- D03EDF link from page
+D03 Partial Differential Equations
+\item {\bf d03eef} -- D03EEF link from page
+D03 Partial Differential Equations
+\item {\bf d03faf} -- D03FAF link from page
+D03 Partial Differential Equations
+\end{itemize}
+\begin{itemize}
+\item {\bf e01baf} -- E01BAF link from page
+E01 Interpolation
+\item {\bf e01bef} -- E01BEF link from page
+E01 Interpolation
+\item {\bf e01bff} -- E01BFF link from page
+E01 Interpolation
+\item {\bf e01bgf} -- E01BGF link from page
+E01 Interpolation
+\item {\bf e01bhf} -- E01BHF link from page
+E01 Interpolation
+\item {\bf e01daf} -- E01DAF link from page
+E01 Interpolation
+\item {\bf e01saf} -- E01SAF link from page
+E01 Interpolation
+\item {\bf e01sef} -- E01SEF link from page
+E01 Interpolation
+\end{itemize}
+\begin{itemize}
+\item {\bf e02adf} -- E02ADF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02aef} -- E02AEF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02agf} -- E02AGF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02ahf} -- E02AHF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02ajf} -- E02AJF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02akf} -- E02AKF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02baf} -- E02BAF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02bbf} -- E02BBF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02bcf} -- E02BCF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02bdf} -- E02BDF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02bef} -- E02BEF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02daf} -- E02DAF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02dcf} -- E02DCF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02ddf} -- E02DDF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02def} -- E02DEF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02dff} -- E02DFF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02gaf} -- E02GAF link from page
+E02 Curve and Surface Fitting
+\item {\bf e02zaf} -- E02ZAF link from page
+E02 Curve and Surface Fitting
+\end{itemize}
+\begin{itemize}
+\item {\bf e04dgf} -- E04DGF link from page
+E04 Minimizing or Maximizing a Function
+\item {\bf e04fdf} -- E04FDF link from page
+E04 Minimizing or Maximizing a Function
+\item {\bf e04gcf} -- E04GCF link from page
+E04 Minimizing or Maximizing a Function
+\item {\bf e04jaf} -- E04JAF link from page
+E04 Minimizing or Maximizing a Function
+\item {\bf e04mbf} -- E04MBF link from page
+E04 Minimizing or Maximizing a Function
+\item {\bf e04naf} -- E04NAF link from page
+E04 Minimizing or Maximizing a Function
+\item {\bf e04ucf} -- E04UCF link from page
+E04 Minimizing or Maximizing a Function
+\item {\bf e04ycf} -- E04YCF link from page
+E04 Minimizing or Maximizing a Function
+\end{itemize}
+\begin{itemize}
+\item {\bf f01brf} -- F01BRF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01bsf} -- F01BSF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01maf} -- F01MAF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01mcf} -- F01MCF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01qcf} -- F01QCF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01qdf} -- F01QDF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01qef} -- F01QEF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01rcf} -- F01RCF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01rdf} -- F01RDF link from page
+F01 Matrix Operations - Including Inversion
+\item {\bf f01ref} -- F01REF link from page
+F01 Matrix Operations - Including Inversion
+\end{itemize}
+\begin{itemize}
+\item {\bf f02aaf} -- F02AAF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02abf} -- F02ABF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02adf} -- F02ADF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02aef} -- F02AEF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02aff} -- F02AFF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02agf} -- F02AGF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02ajf} -- F02AJF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02akf} -- F02AKF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02awf} -- F02AWF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02axf} -- F02AXF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02bbf} -- F02BBF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02bjf} -- F02BJF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02fjf} -- F02FJF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02wef} -- F02WEF link from page
+F02 Eigenvalues and Eigenvectors
+\item {\bf f02xef} -- F02XEF link from page
+F02 Eigenvalues and Eigenvectors
+\end{itemize}
+\begin{itemize}
+\item {\bf f04adf} -- F04ADF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04arf} -- F04ARF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04asf} -- F04ASF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04atf} -- F04ATF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04axf} -- F04AXF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04faf} -- F04FAF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04jgf} -- F04JGF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04maf} -- F04MAF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04mbf} -- F04MBF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04mcf} -- F04MCF link from page
+F04 Simultaneous Linear Equations
+\item {\bf f04qaf} -- F04QAF link from page
+F04 Simultaneous Linear Equations
+\end{itemize}
+\begin{itemize}
+\item {\bf f07adf} -- F07ADF link from page
+F07 Linear Equations (LAPACK)
+\item {\bf f07aef} -- F07AEF link from page
+F07 Linear Equations (LAPACK)
+\item {\bf f07fdf} -- F07FDF link from page
+F07 Linear Equations (LAPACK)
+\item {\bf f07fef} -- F07FEF link from page
+F07 Linear Equations (LAPACK)
+\end{itemize}
+\begin{itemize}
+\item {\bf s01eaf} -- S01EAF link from page
+S -- Approximations of Special Functions
+\item {\bf s13aaf} -- S13AAF link from page
+S -- Approximations of Special Functions
+\item {\bf s13acf} -- S13ACF link from page
+S -- Approximations of Special Functions
+\item {\bf s13adf} -- S13ADF link from page
+S -- Approximations of Special Functions
+\item {\bf s14aaf} -- S14AAF link from page
+S -- Approximations of Special Functions
+\item {\bf s14abf} -- S14ABF link from page
+S -- Approximations of Special Functions
+\item {\bf s14baf} -- S14BAF link from page
+S -- Approximations of Special Functions
+\item {\bf s15adf} -- S15ADF link from page
+S -- Approximations of Special Functions
+\item {\bf s15aef} -- S15AEF link from page
+S -- Approximations of Special Functions
+\item {\bf s17acf} -- S17ACF link from page
+S -- Approximations of Special Functions
+\item {\bf s17adf} -- S17ADF link from page
+S -- Approximations of Special Functions
+\item {\bf s17aef} -- S17AEF link from page
+S -- Approximations of Special Functions
+\item {\bf s17aff} -- S17AFF link from page
+S -- Approximations of Special Functions
+\item {\bf s17agf} -- S17AGF link from page
+S -- Approximations of Special Functions
+\item {\bf s17ahf} -- S17AHF link from page
+S -- Approximations of Special Functions
+\item {\bf s17ajf} -- S17AJF link from page
+S -- Approximations of Special Functions
+\item {\bf s17akf} -- S17AKF link from page
+S -- Approximations of Special Functions
+\item {\bf s17dcf} -- S17DCF link from page
+S -- Approximations of Special Functions
+\item {\bf s17def} -- S17DEF link from page
+S -- Approximations of Special Functions
+\item {\bf s17dgf} -- S17DGF link from page
+S -- Approximations of Special Functions
+\item {\bf s17dhf} -- S17DHF link from page
+S -- Approximations of Special Functions
+\item {\bf s17dlf} -- S17DLF link from page
+S -- Approximations of Special Functions
+\item {\bf s18acf} -- S18ACF link from page
+S -- Approximations of Special Functions
+\item {\bf s18adf} -- S18ADF link from page
+S -- Approximations of Special Functions
+\item {\bf s18aef} -- S18AEF link from page
+S -- Approximations of Special Functions
+\item {\bf s18aff} -- S18AFF link from page
+S -- Approximations of Special Functions
+\item {\bf s18dcf} -- S18DCF link from page
+S -- Approximations of Special Functions
+\item {\bf s18def} -- S18DEF link from page
+S -- Approximations of Special Functions
+\item {\bf s19aaf} -- S19AAF link from page
+S -- Approximations of Special Functions
+\item {\bf s19abf} -- S19ABF link from page
+S -- Approximations of Special Functions
+\item {\bf s19acf} -- S19ACF link from page
+S -- Approximations of Special Functions
+\item {\bf s19adf} -- S19ADF link from page
+S -- Approximations of Special Functions
+\item {\bf s20acf} -- S20ACF link from page
+S -- Approximations of Special Functions
+\item {\bf s20adf} -- S20ADF link from page
+S -- Approximations of Special Functions
+\item {\bf s21baf} -- S21BAF link from page
+S -- Approximations of Special Functions
+\item {\bf s21bbf} -- S21BBF link from page
+S -- Approximations of Special Functions
+\item {\bf s21bcf} -- S21BCF link from page
+S -- Approximations of Special Functions
+\item {\bf s21bdf} -- S21BDF link from page
+S -- Approximations of Special Functions
+
+\end{itemize}
+
 \pagehead{Man0Page}{man0.ht}{Axiom Browser}
 \pagepic{ps/v71man0page.eps}{man0page}
 \pagefrom{Root Page}{RootPage}
 \pageto{Commands}{ugSysCmdPage}
+\pageto{Constructors}{LispFunctions}
 <<man0.ht>>=
 \begin{page}{Man0Page}{A x i o m \   B r o w s e r}
 
@@ -14564,6 +15292,8 @@ is not accepted).
 @
 \section{mapping.ht}
 \pagehead{DomainMapping}{mapping.ht}{Domain {\bf Mapping(T,S,...)}}
+\pageto{Description}{LispFunctions}
+\pageto{Operations}{LispFunctions}
 <<mapping.ht>>=
 \begin{page}{DomainMapping}{Domain {\em Mapping(T,S,...)}}
 \beginscroll
@@ -17733,6 +18463,8 @@ sqrt(22+2*s5)-sqrt(11+2*s29)+s5 \free{s29}\free{s5}\bound{dst4}}
 @
 \section{record.ht}
 \pagehead{DomainRecord}{record.ht}{Domain {\bf Record(a:A,...,b:B)}}
+\pageto{Description}{LispFunctions}
+\pageto{Operations}{LispFunctions}
 <<record.ht>>=
 \begin{page}{DomainRecord}{Domain {\em Record(a:A,...,b:B)}}
 \beginscroll
@@ -19954,6 +20686,9 @@ and \spadtype{Aggregate}, the category of all data structures.
 @
 \section{union.ht}
 \pagehead{DomainUnion}{union.ht}{Domain {\bf Union(a:A,...,b:B)}}
+\pageto{Description}{LispFunctions}
+\pageto{Operations}{LispFunctions}
+\pageto{Exports}{LispFunctions}
 <<union.ht>>=
 \begin{page}{DomainUnion}{Domain {\em Union(a:A,...,b:B)}}
 \beginscroll
@@ -19974,7 +20709,7 @@ This constructor is a primitive in Axiom.
 {(|dbSpecialOperations| '|Union|)}
 \tab{15}All exported operations of \spad{Union(a:A,b:B)}
 %\item\menudownlink{Examples}   {UnionExamples}   
-\tab{15}Examples illustrating use
+%\tab{15}Examples illustrating use
 \item\menulispdownlink{Exports}{(|dbSpecialExports| '|Union|)}
 \tab{15}Explicit categories and operations
 \endmenu
@@ -20017,6 +20752,8 @@ defined in the Axiom language.
 
 @
 \pagehead{UntaggedUnion}{union.ht}{Domain {\bf Union(A,...,B)}}
+\pageto{Description}{LispFunctions}
+\pageto{Operations}{LispFunctions}
 <<union.ht>>=
 \begin{page}{UntaggedUnion}{Domain {\em Union(A,...,B)}}
 \beginscroll
@@ -20035,9 +20772,9 @@ defined in the Axiom language.
 {(|dbSpecialOperations| '|UntaggedUnion|)}
 \tab{15}All exported operations of \spad{Union(A,B)}
 %\item\menudownlink{Examples}   {UTUnionExamples}   
-\tab{15}Examples illustrating use
+%\tab{15}Examples illustrating use
 %\item\menudownlink{Exports}    {UTUnionExports}    
-\tab{15}Explicit categories and operations
+%\tab{15}Explicit categories and operations
 \endmenu
 \vspace{1}\newline
 In this untagged form of \spad{Union}, domains \spad{A,...,B} 
@@ -53895,6 +54632,7 @@ allowed here.  You should also specify just the top level type.
 @
 \subsection{HTXLinkPage4xPatch2 patch}
 \label{HTXLinkPage4xPatch2}
+\pageto{Definition}{LispFunctions}
 \index{patch!HTXLinkPage4xPatch2!htxlinkpage4.ht}
 \index{htxlinkpage4.ht!patch!HTXLinkPage4xPatch2}
 \index{HTXLinkPage4xPatch2!htxlinkpage4.ht!patch}
@@ -116690,6 +117428,8 @@ D02KEF(3NAG)                 D02KEF                  D02KEF(3NAG)
 \pagehead{UXANNAInt}{annex.ht}{Integration}
 <<annaex.ht>>=
 \begin{page}{UXANNAInt}{Integration}
+\pageto{Integration}{LispFunctions}
+\pageto{Multiple Integration}{LispFunctions}
 Welcome to the Integration section of {\tt
 \inputbitmap{\htbmdir{}/anna.xbm.tiny}}, the {\em Axiom/NAG Expert
 System}.  This system chooses, and uses, NAG numerical routines.
@@ -116717,6 +117457,7 @@ on the choice of method.
 
 @
 \pagehead{UXANNAOde}{annaex.ht}{Ordinary Differential Equations}
+\pageto{Ordinary Differential Equations}{LispFunctions}
 <<annaex.ht>>=
 \begin{page}{UXANNAOde}{Ordinary Differential Equations}
 Welcome to the Ordinary Differential Equations section of {\tt
@@ -116745,6 +117486,8 @@ the effect on the choice of method.
 
 @
 \pagehead{UXANNAOpt}{annaex.ht}{Optimization}
+\pageto{Optimization of a set of observations of a data set}
+{LispFunctions}
 <<annaex.ht>>=
 \begin{page}{UXANNAOpt}{Optimization}
 Welcome to the Optimization section of {\tt
@@ -116787,6 +117530,8 @@ Examples of optimization problems with various constraint features.
 
 @
 \pagehead{UXANNAPde}{annaex.ht}{Partial Differential Equations}
+\pageto{Second Order Elliptic Partial Differential Equation}
+{LispFunctions}
 <<annaex.ht>>=
 \begin{page}{UXANNAPde}{Partial Differential Equations}
 Welcome to the Partial Differential Equations section of {\tt
@@ -116807,7 +117552,7 @@ and solving the resulting
 seven-diagonal finite difference equations using a multigrid technique.
 \blankline
 %\menulispdownlink{Helmholtz Equation in 3-D, Cartesian Coordinates}
-{(|d03fafVars|)}
+%{(|d03fafVars|)}
 %\newline
 %\indent{4} Descretizing the PDE:
 %\newline
@@ -116825,6 +117570,11 @@ seven-diagonal finite difference equations using a multigrid technique.
 {Examples Using the Axiom/NAG Expert System}
 <<annaex.ht>>=
 \begin{page}{UXANNAOptEx}{Examples Using the Axiom/NAG Expert System}
+\pageto{Example 1}{LispFunctions}
+\pageto{Example 2}{LispFunctions}
+\pageto{Example 3}{LispFunctions}
+\pageto{Example 4}{LispFunctions}
+\pageto{Example 5}{LispFunctions}
 \begin{scroll}
 Select any of these examples and you will be presented with a page which
 contains active areas for the function and its parameters.
@@ -116879,6 +117629,7 @@ default parameters by the new values.
 @
 \pagehead{UXANNAOpt2Ex}{annaex.ht}
 {Examples Using the Axiom/NAG Expert System}
+\pageto{Example 1}{LispFunctions}
 <<annaex.ht>>=
 \begin{page}{UXANNAOpt2Ex}{Examples Using the Axiom/NAG Expert System}
 \begin{scroll}
@@ -116906,6 +117657,18 @@ minimization of the following functions:
 @
 \pagehead{UXANNAIntEx}{annaex.ht}
 {Examples Using the Axiom/NAG Expert System}
+\pageto{Example 1}{LispFunctions}
+\pageto{Example 2}{LispFunctions}
+\pageto{Example 3}{LispFunctions}
+\pageto{Example 4}{LispFunctions}
+\pageto{Example 5}{LispFunctions}
+\pageto{Example 6}{LispFunctions}
+\pageto{Example 7}{LispFunctions}
+\pageto{Example 8}{LispFunctions}
+\pageto{Example 9}{LispFunctions}
+\pageto{Example 10}{LispFunctions}
+\pageto{Example 11}{LispFunctions}
+\pageto{Example 12}{LispFunctions}
 <<annaex.ht>>=
 \begin{page}{UXANNAIntEx}{Examples Using the Axiom/NAG Expert System}
 \begin{scroll}
@@ -116960,6 +117723,8 @@ effect of the new parameters on the choice of method.
 @
 \pagehead{UXANNAOdeEx}{annaex.ht}
 {Examples Using the Axiom/NAG Expert System}
+\pageto{annaOdeDefaultSolve1}{LispFunctions}
+\pageto{annaOdeDefaultSolve2}{LispFunctions}
 <<annaex.ht>>=
 \begin{page}{UXANNAOdeEx}{Examples Using the Axiom/NAG Expert System}
 \begin{scroll}
diff --git a/changelog b/changelog
index 9a475ea..7d6a881 100644
--- a/changelog
+++ b/changelog
@@ -1,7 +1,8 @@
+20080724 tpd books/bookvol7.1 add LispFunctions page
 20080722 tpd (July 2008) release
-20080721 tpd books/bookvol7.1.pamphlet docs/corrections/updates
+20080721 tpd books/bookvol7.1 docs/corrections/updates
 20080720 tpd books/Makefile add bookvol7.1 to combined table of contents
-20080720 tpd books/bookvol7.1.pamphlet docs/corrections/updates
+20080720 tpd books/bookvol7.1 docs/corrections/updates
 20080720 tpd books/ps/v71topics.eps -> books/ps/v71topicpage.eps
 20080720 tpd books/ps/v71youtriedit.eps added
 20080720 tpd books/ps/v71topreferencepage.eps updated
@@ -13,7 +14,7 @@
 20080720 tpd books/ps/v71glossary.eps added
 20080720 tpd books/ps/v71foundationlibrarydocpage.eps added
 20080720 tpd books/ps/v71examplesexposedpage.eps added
-20080719 tpd books/bookvol7.1.pamphlet docs/corrections/updates
+20080719 tpd books/bookvol7.1 docs/corrections/updates
 20080719 tpd books/ps/v71algebrapage.eps
 20080719 tpd books/ps/v71calculus.eps added
 20080719 tpd books/ps/v71calculuspage.eps added
@@ -23,7 +24,7 @@
 20080719 tpd books/ps/v71linalgpage.eps added
 20080719 tpd books/ps/v71numberpage.eps added
 20080719 tpd books/ps/v71polynomialpage.eps added
-20080718 tpd books/bookvol7.1.pamphlet additional docs/corrections/updates
+20080718 tpd books/bookvol7.1 additional docs/corrections/updates
 20080718 tpd books/ps/v71basiccommand.eps added
 20080718 tpd books/ps/v71man0page.eps added
 20080718 tpd books/ps/v71releasenotes.eps added
@@ -35,10 +36,10 @@
 20080718 tpd books/ps/v71topsettingspage.eps added
 20080717 tpd src/graph removed
 20080717 tpd src/graph/include/* removed
-20080717 tpd src/graph/Makefile.pamphlet removed
-20080717 tpd books/bookvol7.pamphlet fix IN Makefile var
-20080716 tpd books/bookvol7.1.pamphlet get files from books dir
-20080716 tpd books/bookvol7.pamphlet get files from books dir
+20080717 tpd src/graph/Makefile removed
+20080717 tpd books/bookvol7 fix IN Makefile var
+20080716 tpd books/bookvol7.1 get files from books dir
+20080716 tpd books/bookvol7 get files from books dir
 20080716 tpd src/hyper directory deleted
 20080716 tpd src/hyper/bigbayou.png moved to  books/ps/bigbayou.png
 20080716 tpd src/hyper/doctitle.png moved to books/ps/doctitle.png
@@ -442,24 +443,24 @@
 20080601 tpd books/bookvol8 document APIs, formats, environment
 20080531 tpd src/Makefile handle books subdir
 20080531 tpd src/doc/Makefile remove bookvol*
-20080531 tpd books/Makefile.pamphlet added
+20080531 tpd books/Makefile added
 20080531 tpd books/axiom.sty removed
 20080531 tpd books/Makefile removed
 20080530 tpd books/Makefile
 20080530 tpd books/axiom.sty
-20080530 tpd books/bookvol0.pamphlet
-20080530 tpd books/bookvol1.pamphlet
-20080530 tpd books/bookvol10.pamphlet
-20080530 tpd books/bookvol11.pamphlet
-20080530 tpd books/bookvol12.pamphlet
-20080530 tpd books/bookvol2.pamphlet
-20080530 tpd books/bookvol3.pamphlet
-20080530 tpd books/bookvol4.pamphlet
-20080530 tpd books/bookvol5.pamphlet
-20080530 tpd books/bookvol6.pamphlet
-20080530 tpd books/bookvol7.pamphlet
-20080530 tpd books/bookvol8.pamphlet
-20080530 tpd books/bookvol9.pamphlet
+20080530 tpd books/bookvol0
+20080530 tpd books/bookvol1
+20080530 tpd books/bookvol10
+20080530 tpd books/bookvol11
+20080530 tpd books/bookvol12
+20080530 tpd books/bookvol2
+20080530 tpd books/bookvol3
+20080530 tpd books/bookvol4
+20080530 tpd books/bookvol5
+20080530 tpd books/bookvol6
+20080530 tpd books/bookvol7
+20080530 tpd books/bookvol8
+20080530 tpd books/bookvol9
 20080530 tpd books/ps/23dcola.ps
 20080530 tpd books/ps/23dcolb.ps
 20080530 tpd books/ps/23dpal.ps
